<template>
  <v-layout class="BurgerMenu">
    <v-flex>
      <v-card>
        <v-card-title class="white--text">
          <div class="topline">
              <span class="headline">
                  <img src="../assets/logotype.png" alt="#">
              </span>
              <div class="topline-nav">
                  <div class="web-access topline-links">
                   <v-icon color="white" class="mr-2">vpn_key</v-icon><span>{{NavLink01}}</span>
                  </div>
                  <div class="payments topline-links">
                      <v-icon color="white" class="mr-2">credit_card</v-icon><span>{{NavLink02}}</span>
                  </div>
                  <div class="bonus-block">
                      <img src="../assets/bonus-img.png" alt="#">
                      <div class="bonus-box">
                          <p>Bonus</p>
                          <p><span class="color-primary mr-1">{{bonusMoney}}</span>UAH</p>
                      </div>
                  </div>
              </div>
          </div>
          <v-spacer></v-spacer>

          <v-menu bottom left>
            <template v-slot:activator="{ on }">
              <v-btn
                dark
                icon
                v-on="on"
              >
                <v-icon>more_vert</v-icon>
              </v-btn>
            </template>

            <v-list>
              <v-list-tile
                v-for="(item, i) in items"
                :key="i"
                click=""
              >
                <v-list-tile-title>
                    <a href="#">{{ item.link01 }}</a>
                    <a href="#">{{ item.link02 }}</a>
                    <a href="#">{{ item.link03 }}</a>
                    <a href="#">{{ item.link04 }}</a>
                </v-list-tile-title>
              </v-list-tile>
            </v-list>
          </v-menu>
        </v-card-title>
      </v-card>
    </v-flex>
  </v-layout>
</template>


<script type="text/javascript">
    export default {
    data: () => ({
            NavLink01: 'Website access',
            NavLink02: 'Payments',
            bonusMoney: '3000',
      items: [
        { link01: 'Weekly tournament Games' },
        { link02: 'sports' },
        { link03: 'eSports' },
        { link04: 'Results' }
      ]
    })
    }
</script>

<style lang="scss" media="screen">
    .BurgerMenu {
        background: red;
        position: relative;
        z-index: 1;

        display: none!important;
        @media screen and (max-width: 998px) {
            display: block!important;
        }
        .v-card__title {
            background: #2b2b2b;
            .v-menu {
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                .v-menu__content {
                    width: 50%;
                    border: 1px solid white;
                    border-radius: 0px 0px 10px 0;
                    .v-list {
                        background: #2a2a2a;
                    }
                }
            }
        }
        .topline {
            display: flex;
            .topline-nav {
                display: flex;
                align-items: center;

                width: 100%;
                div {
                    margin: 0 20px;
                }
                .topline-links {
                    span {
                        color: #7b7b7b;
                    }
                }
                .fa-key.fa-credit-card {
                    margin-right: 5px;
                }
                .bonus-block {
                    display: flex;
                    .bonus-box {
                        p {
                            margin: 0
                        }
                    }
                    img {
                        width: 45px;
                        height: 45px;
                    }
                }
                .payments {
                    margin: 0 20px;
                }
            }
        }
    }
</style>
